<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Name: KEZO Allergie Intolerantie Observatie
Description: Allergie / Intolerantie Observatie als component van de bouwsteen Allergie / Intolerantie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000">
   <title>KEZO Allergie Intolerantie Observatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]"
         id="tmp-r-6655c4dd-5253-441b-b016-3613db76ade8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216'])&gt;=1 ">(kezo-AllergyIntoleranceobservation): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216'])&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']"
         id="tmp-r-b8347e88-7da2-44e5-aab5-6f8387aaba7f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@classCode)=('OBS')">(kezo-AllergyIntoleranceobservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@moodCode)=('EVN')">(kezo-AllergyIntoleranceobservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.216'])&gt;=1 ">(kezo-AllergyIntoleranceobservation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.216'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.216'])&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.216'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(kezo-AllergyIntoleranceobservation): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(kezo-AllergyIntoleranceobservation): element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(kezo-AllergyIntoleranceobservation): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(kezo-AllergyIntoleranceobservation): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:informant)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:informant komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:participant[@typeCode='VRF'])&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:participant[@typeCode='VRF'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:participant[@typeCode='CSM'])&gt;=1 and not(hl7:participant[@typeCode='CSM']/@nullFlavor)">(kezo-AllergyIntoleranceobservation): element hl7:participant[@typeCode='CSM'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:participant[@typeCode='CSM'])&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:participant[@typeCode='CSM'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.218']])&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.218']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']"
         id="tmp-r-09c43b44-c382-4b27-9a58-9772a285ca04">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-AllergyIntoleranceobservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.216')">(kezo-AllergyIntoleranceobservation): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.216' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:id
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:id"
         id="tmp-r-a3894cb0-9bcb-4755-9da8-1cda3543a429">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-AllergyIntoleranceobservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-83911002-a108-4104-a52d-a63f71e55cc6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-AllergyIntoleranceobservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(kezo-AllergyIntoleranceobservation): de elementwaarde MOET een zijn van 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:statusCode[@code='completed']
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:statusCode[@code='completed']"
         id="tmp-r-580b2b81-8061-43af-b0bf-dbad7425a742">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-AllergyIntoleranceobservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="@nullFlavor or (@code='completed')">(kezo-AllergyIntoleranceobservation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:effectiveTime
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:effectiveTime"
         id="tmp-r-4f6d9605-7d5d-41b3-990f-3d56dcba784c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-AllergyIntoleranceobservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:low)&gt;=1 ">(kezo-AllergyIntoleranceobservation): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:low)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:high)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:effectiveTime/hl7:low
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:effectiveTime/hl7:low"
         id="tmp-r-48bdc8c6-8fa0-4f44-b9f6-fe27da45f14a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-AllergyIntoleranceobservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:effectiveTime/hl7:high
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:effectiveTime/hl7:high"
         id="tmp-r-de470e61-5035-4beb-b8da-0965009effeb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-AllergyIntoleranceobservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-8baa26af-f18c-4a18-9d2a-217f4e59e92e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-AllergyIntoleranceobservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-AllergyIntoleranceobservation): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2 AllergieCategorieCodelijst (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-AllergyIntoleranceobservation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2 AllergieCategorieCodelijst (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:originalText)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]/hl7:originalText
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.8.2.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]/hl7:originalText"
         id="tmp-r-b2a9cd93-a3f1-4467-8bd3-89749e58c2bc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-AllergyIntoleranceobservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author"
         id="tmp-r-3fab8f1d-a3a8-441c-93fb-a0f67c525b9f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(kezo-AllergyIntoleranceobservation): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(kezo-AllergyIntoleranceobservation): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:functionCode)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:functionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:time)&gt;=1 ">(kezo-AllergyIntoleranceobservation): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:time)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(kezo-AllergyIntoleranceobservation): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9025
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:functionCode
Item: (kezo-CDAAuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:functionCode"
         id="tmp-r-6c1b73b4-93c7-45ca-ad7b-31e121b356e8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAuthorBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9025
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:time
Item: (kezo-CDAAuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:time"
         id="tmp-r-2cb4dab5-42a9-42a9-a5ff-f7b4d5d01fb0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAuthorBody): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9025
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor
Item: (kezo-CDAAuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor"
         id="tmp-r-15b18141-8ece-411a-9f6f-d9c52de7b83b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(kezo-CDAAuthorBody): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(kezo-CDAAuthorBody): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:id)&lt;=1">(kezo-CDAAuthorBody): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:code)&lt;=1">(kezo-CDAAuthorBody): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:representedOrganization)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="$elmcount&gt;=1">(kezo-CDAAuthorBody): keuze (hl7:assignedPerson of hl7:representedOrganization) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="$elmcount&lt;=2">(kezo-CDAAuthorBody): keuze (hl7:assignedPerson of hl7:representedOrganization) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:assignedPerson)&lt;=1">(kezo-CDAAuthorBody): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9025-2014-04-03T162802.html"
              test="count(hl7:representedOrganization)&lt;=1">(kezo-CDAAuthorBody): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-12be4459-1211-4c24-bcfa-1d45e1ec06af">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:code
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-r-f731ab3f-d10b-47e2-b799-6d6cf7654682">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-CDAAssignedEntity): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-CDAAssignedEntity): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="tmp-r-62c5ee04-dbe8-4c64-8666-1d9a5073a4ce">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-917ddbbf-21ae-4d1f-a346-320b630917a2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor
Item: (kezo-CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-8008919e-6c8a-41db-b426-f55afb5c9bfb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(kezo-CDAAssignedEntity): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(kezo-CDAAssignedEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9001
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-2f726b68-a24e-4b0e-97c2-9690e7c5c566">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9001-2013-12-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9028
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (kezo-CDAAssignedEntity)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-33268459-c87e-4c17-970d-299af641f5af">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(kezo-CDAAssignedEntity): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(kezo-CDAAssignedEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 ">(kezo-CDAAssignedEntity): element hl7:id[@root='2.16.528.1.1007.3.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(kezo-CDAAssignedEntity): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:name)&gt;=1 ">(kezo-CDAAssignedEntity): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:name)&lt;=1">(kezo-CDAAssignedEntity): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:addr)&lt;=1">(kezo-CDAAssignedEntity): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9028-2014-11-10T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(kezo-CDAAssignedEntity): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (CDAOrganization)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-r-d542a516-bbd9-4f58-a7b0-193ff0982328">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.3')">(CDAOrganization): de waarde van @root MOET '2.16.528.1.1007.3.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-133883c5-b31e-4aab-8113-f9d560207691">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-672aeff9-5bae-4bdb-9666-9d0732ab44eb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-1c438cc1-9d9b-4255-a5a6-b895782c6540">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-d488b6c6-dc63-4bc1-8c77-f178783b1b3b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9002
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode"
         id="tmp-r-e671614c-d61d-46c0-bb49-0e6e0cefafa0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant"
         id="tmp-r-3c402c3f-bb70-4cdd-8ad3-699d700b1968">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@typeCode)=('INF') or not(@typeCode)">(kezo-AllergyIntoleranceobservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(kezo-AllergyIntoleranceobservation): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <let name="elmcount" value="count(hl7:assignedEntity|hl7:relatedEntity)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="$elmcount&gt;=1">(kezo-AllergyIntoleranceobservation): keuze (hl7:assignedEntity of hl7:relatedEntity) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="$elmcount&lt;=1">(kezo-AllergyIntoleranceobservation): keuze (hl7:assignedEntity of hl7:relatedEntity) bevat te veel elementen [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9008
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant
Item: (CDAinformantBody)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9008
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity
Item: (CDAinformantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9013
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAAssignedEntity): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAssignedEntity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntity): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntity): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9013
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9013
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:code">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.111')">(CDAAssignedEntity): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9013
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9013
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9013-2015-11-27T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9013
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9010
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9010-2013-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9010-2013-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9010
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9010-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9013
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): element hl7:asOrganizationPartOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): de waarde van @classCode MOET 'PART' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9011
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9011-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9008
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity
Item: (CDAinformantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9014
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="@classCode">(CDARelatedEntity): attribute @classCode MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDARelatedEntity): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19316-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(CDARelatedEntity): de waarde van classCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.1.11.19316' RoleClassMutualRelationship (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="count(hl7:code)&lt;=1">(CDARelatedEntity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDARelatedEntity): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="count(hl7:relatedPerson)&lt;=1">(CDARelatedEntity): element hl7:relatedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9014
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:code
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:code">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDARelatedEntity): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDARelatedEntity): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9014
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:addr
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:addr">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9014
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:telecom
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:telecom">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9014
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:effectiveTime
Item: (CDARelatedEntity)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:effectiveTime">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9014-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9014
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson
Item: (CDARelatedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9010
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson
Item: (CDAPerson)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9010-2013-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9010-2013-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.20.77.10.9010
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/hl7:name">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.20.77.10.9010-2013-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']"
         id="tmp-r-5deb7336-a1d1-4e49-a75d-6bf4d487af27">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@typeCode)=('VRF')">(kezo-AllergyIntoleranceobservation): de waarde van @typeCode MOET 'VRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:time)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:participantRole)&gt;=1 ">(kezo-AllergyIntoleranceobservation): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:participantRole)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:time
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:time"
         id="tmp-r-741d0696-89dc-4c58-ba7c-71610cd72dee">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole"
         id="tmp-r-2fd36916-c21e-42f0-87e7-1d27ba8f08f7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="string(@classCode)=('ASSIGNED')">(kezo-Verifier): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-Verifier): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(kezo-Verifier): element hl7:playingEntity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="count(hl7:scopingEntity)&lt;=1">(kezo-Verifier): element hl7:scopingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:id
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:id"
         id="tmp-r-3c8a4bc8-ac41-4ec3-849a-8777660ac54e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:code
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:code"
         id="tmp-r-d5204423-ae8d-4132-b38b-447a62d5bca7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(kezo-Verifier): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:addr
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:addr"
         id="tmp-r-220625c0-c57c-4c56-ba2d-f09f18c5c630">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:telecom
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:telecom"
         id="tmp-r-12e6b5d7-8439-4efe-a730-462d3c69dcab">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:playingEntity
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-4fbea236-3d68-4d99-b892-bdea4849c0ca">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="string(@classCode)=('PSN')">(kezo-Verifier): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-Verifier): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-Verifier): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:playingEntity/hl7:code"
         id="tmp-r-5c10ba91-8a15-4275-bd73-8d7d9af776ab">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-Verifier): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-Verifier): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.16040 EntityCode (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:playingEntity/hl7:name"
         id="tmp-r-08c8203b-5b3d-460a-8b43-2c36dcb5a19d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:scopingEntity
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:scopingEntity"
         id="tmp-r-372b5497-5117-461c-b88b-d9c665720dd0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="string(@classCode)=('ORG')">(kezo-Verifier): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(kezo-Verifier): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="count(hl7:code)&lt;=1">(kezo-Verifier): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="count(hl7:desc)&lt;=1">(kezo-Verifier): element hl7:desc komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:scopingEntity/hl7:id"
         id="tmp-r-19161299-a49a-459a-add4-4f4ad658e585">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:scopingEntity/hl7:code"
         id="tmp-r-c2355f0d-d200-441d-bc3d-fdddf3889ae9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-Verifier): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-Verifier): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.16040 EntityCode (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9039
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (kezo-Verifier)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='VRF']/hl7:participantRole/hl7:scopingEntity/hl7:desc"
         id="tmp-r-413c9131-d8b9-4a1c-b8c9-e8289be7ad85">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9039-2015-08-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Verifier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']
Item: (kezo-AllergyIntoleranceobservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']"
         id="tmp-r-d863f5bd-756a-4fdc-ad33-3b2fd09a8e4d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@typeCode)=('CSM')">(kezo-AllergyIntoleranceobservation): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:time)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(kezo-AllergyIntoleranceobservation): element hl7:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="count(hl7:participantRole)&lt;=1">(kezo-AllergyIntoleranceobservation): element hl7:participantRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9037
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:time
Item: (kezo-Participantallergen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:time"
         id="tmp-r-6176e6d9-a400-4e50-931a-0c77a95f3bc4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Participantallergen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9037
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:participantRole
Item: (kezo-Participantallergen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:participantRole"
         id="tmp-r-f1509e43-bbca-439d-880c-c8a2b33edc21">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="string(@classCode)=('MANU')">(kezo-Participantallergen): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="count(hl7:playingEntity)&gt;=1 and not(hl7:playingEntity/@nullFlavor)">(kezo-Participantallergen): element hl7:playingEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(kezo-Participantallergen): element hl7:playingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9037
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:participantRole/hl7:playingEntity
Item: (kezo-Participantallergen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:participantRole/hl7:playingEntity"
         id="tmp-r-bec63db3-067d-4ae5-8aca-0408aca99476">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="string(@classCode)=('MMAT')">(kezo-Participantallergen): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.1.725' or @codeSystem='2.16.840.1.113883.2.4.4.1.750' or @codeSystem='2.16.840.1.113883.2.4.4.1.902.122' or @codeSystem='2.16.840.1.113883.6.96' or @codeSystem='2.16.840.1.113883.2.4.4.7' or @nullFlavor])&gt;=1 ">(kezo-Participantallergen): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.1.725' or @codeSystem='2.16.840.1.113883.2.4.4.1.750' or @codeSystem='2.16.840.1.113883.2.4.4.1.902.122' or @codeSystem='2.16.840.1.113883.6.96' or @codeSystem='2.16.840.1.113883.2.4.4.7' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.1.725' or @codeSystem='2.16.840.1.113883.2.4.4.1.750' or @codeSystem='2.16.840.1.113883.2.4.4.1.902.122' or @codeSystem='2.16.840.1.113883.6.96' or @codeSystem='2.16.840.1.113883.2.4.4.7' or @nullFlavor])&lt;=1">(kezo-Participantallergen): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.1.725' or @codeSystem='2.16.840.1.113883.2.4.4.1.750' or @codeSystem='2.16.840.1.113883.2.4.4.1.902.122' or @codeSystem='2.16.840.1.113883.6.96' or @codeSystem='2.16.840.1.113883.2.4.4.7' or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9037
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:participantRole/hl7:playingEntity/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.1.725' or @codeSystem='2.16.840.1.113883.2.4.4.1.750' or @codeSystem='2.16.840.1.113883.2.4.4.1.902.122' or @codeSystem='2.16.840.1.113883.6.96' or @codeSystem='2.16.840.1.113883.2.4.4.7' or @nullFlavor]
Item: (kezo-Participantallergen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:participantRole/hl7:playingEntity/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.1.725' or @codeSystem='2.16.840.1.113883.2.4.4.1.750' or @codeSystem='2.16.840.1.113883.2.4.4.1.902.122' or @codeSystem='2.16.840.1.113883.6.96' or @codeSystem='2.16.840.1.113883.2.4.4.7' or @nullFlavor]"
         id="tmp-r-adda594b-7b9c-4aae-a83c-4a68fdc8ff23">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Participantallergen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.119-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(kezo-Participantallergen): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.66.11.119 Veroorzakende Stoffen Lijst (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.119-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(kezo-Participantallergen): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.66.11.119 Veroorzakende Stoffen Lijst (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="count(hl7:originalText)&lt;=1">(kezo-Participantallergen): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9037
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:participantRole/hl7:playingEntity/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.1.725' or @codeSystem='2.16.840.1.113883.2.4.4.1.750' or @codeSystem='2.16.840.1.113883.2.4.4.1.902.122' or @codeSystem='2.16.840.1.113883.6.96' or @codeSystem='2.16.840.1.113883.2.4.4.7' or @nullFlavor]/hl7:originalText
Item: (kezo-Participantallergen)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:participant[@typeCode='CSM']/hl7:participantRole/hl7:playingEntity/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.1.725' or @codeSystem='2.16.840.1.113883.2.4.4.1.750' or @codeSystem='2.16.840.1.113883.2.4.4.1.902.122' or @codeSystem='2.16.840.1.113883.6.96' or @codeSystem='2.16.840.1.113883.2.4.4.7' or @nullFlavor]/hl7:originalText"
         id="tmp-r-8efe978a-1b84-4fa8-be4a-a17b36ba4ae1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9037-2015-07-15T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-Participantallergen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.218']]
Item: (kezo-AllergyIntoleranceobservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.218']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@typeCode)=('SUBJ')">(kezo-AllergyIntoleranceobservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@inversionInd)=('true')">(kezo-AllergyIntoleranceobservation): de waarde van @inversionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.216
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.217']]
Item: (kezo-AllergyIntoleranceobservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.216']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.217']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@typeCode)=('MFST')">(kezo-AllergyIntoleranceobservation): de waarde van @typeCode MOET 'MFST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.html"
              test="string(@inversionInd)=('true')">(kezo-AllergyIntoleranceobservation): de waarde van @inversionInd MOET 'true' zijn.</assert>
   </rule>
</pattern>
