<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Name: VZVZ Opleveren Labuitslagen
Description: Opleveren Labuitslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000">
   <title>VZVZ Opleveren Labuitslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /
Item: (opleverenLabUitslagen)
-->

   <rule context="/" id="tmp-r-4f0f76fa-7e6a-4659-bb7b-bcc73e5be0aa">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:POLB_IN364001NL02)&gt;=1 ">(opleverenLabUitslagen): element hl7:POLB_IN364001NL02 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:POLB_IN364001NL02)&lt;=1">(opleverenLabUitslagen): element hl7:POLB_IN364001NL02 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02"
         id="tmp-r-955b627a-a891-494e-b313-182fe3cf30bd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 ">(opleverenLabUitslagen): element hl7:ControlActProcess is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess"
         id="tmp-r-0a77ee40-2584-4811-b4a8-086369c4fe21">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']])&gt;=1 ">(opleverenLabUitslagen): element hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]"
         id="tmp-r-3398be49-b719-48d0-9416-6173a9f4d62f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&gt;=1 and not(hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/@nullFlavor)">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&lt;=1">(opleverenLabUitslagen): element hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']"
         id="tmp-r-9dcd667b-e758-48c3-aec3-26514c0d6b30">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)=('GROUPER')">(opleverenLabUitslagen): de waarde van @classCode MOET 'GROUPER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@moodCode)=('EVN')">(opleverenLabUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/@nullFlavor)">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'])&lt;=1">(opleverenLabUitslagen): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(opleverenLabUitslagen): element hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(opleverenLabUitslagen): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenLabUitslagen): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenLabUitslagen): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']"
         id="tmp-r-6ae6d6bd-65ef-4c15-9b0d-85480ced3a0e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.6')">(opleverenLabUitslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:code[(@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-bcb47881-d460-4a5d-b9fd-07aeb8f6ec9b">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1')">(opleverenLabUitslagen): de elementwaarde MOET een zijn van 'code '26436-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:statusCode[@code='completed']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:statusCode[@code='completed']"
         id="tmp-r-c671422d-aa49-4243-9bf4-c33684bedc25">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@nullFlavor or (@code='completed')">(opleverenLabUitslagen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget"
         id="tmp-r-ae2550a3-f6ad-47a2-b034-6ac098955d82">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)=('RCT')">(opleverenLabUitslagen): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)=('OP')">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(opleverenLabUitslagen): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:patient)&lt;=1">(opleverenLabUitslagen): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient"
         id="tmp-r-f735a9f9-f385-4875-a166-1f8300f996b1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@classCode)=('PAT')">(opleverenLabUitslagen): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opleverenLabUitslagen): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (opleverenLabUitslagen)
-->

   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-f3107049-f759-48cb-92f7-ab5ee0e79c78">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenLabUitslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(opleverenLabUitslagen): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="@extension">(opleverenLabUitslagen): attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.6
Context: /hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]
Item: (opleverenLabUitslagen)
-->
   <rule context="/hl7:POLB_IN364001NL02/hl7:ControlActProcess/hl7:subject[hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']]/hl7:observationReport[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.6']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.203']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@typeCode)=('COMP')">(opleverenLabUitslagen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.6-2014-01-13T000000.html"
              test="string(@contextControlCode)=('OP')">(opleverenLabUitslagen): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
   </rule>
</pattern>
